com.mxgraph.shape

## Class mxStencilShape.svgShape

- java.lang.Object
- - com.mxgraph.shape.mxStencilShape.svgShape

- Enclosing class:
    mxStencilShape

      protected class mxStencilShape.svgShape
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `currentXScale` Holds the current value to which the shape is scaled in X
    `protected double` | `currentYScale` Holds the current value to which the shape is scaled in Y
    `java.awt.Shape` | `shape`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `style` Contains an array of key, value pairs that represent the style of the cell.
    `java.util.List<mxStencilShape.svgShape>` | `subShapes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxStencilShape.svgShape(java.awt.Shape shape, java.util.Map<java.lang.String,java.lang.Object> style)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCurrentXScale()`
    `double` | `getCurrentYScale()`
    `void` | `setCurrentXScale(double currentXScale)`
    `void` | `setCurrentYScale(double currentYScale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shape

          public java.awt.Shape shape

    - #### style

          protected java.util.Map<java.lang.String,java.lang.Object> style

      Contains an array of key, value pairs that represent the style of the cell.

    - #### subShapes

          public java.util.List<mxStencilShape.svgShape> subShapes

    - #### currentXScale

          protected double currentXScale

      Holds the current value to which the shape is scaled in X

    - #### currentYScale

          protected double currentYScale

      Holds the current value to which the shape is scaled in Y

  - ### Constructor Detail

    - #### mxStencilShape.svgShape

          public mxStencilShape.svgShape(java.awt.Shape shape,
                                 java.util.Map<java.lang.String,java.lang.Object> style)

  - ### Method Detail

    - #### getCurrentXScale

          public double getCurrentXScale()

    - #### setCurrentXScale

          public void setCurrentXScale(double currentXScale)

    - #### getCurrentYScale

          public double getCurrentYScale()

    - #### setCurrentYScale

          public void setCurrentYScale(double currentYScale)

Copyright (c) 2010 Gaudenz Alder. All rights reserved.